package com.example.what_the_fantasy.ui.navigations

import androidx.compose.runtime.Composable
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import androidx.navigation.compose.rememberNavController
import com.example.what_the_fantasy.ui.screens.AccueilPage
import com.example.what_the_fantasy.ui.screens.FavoritePage
import com.example.what_the_fantasy.ui.screens.LoginPage
import com.example.what_the_fantasy.ui.screens.ProfilPage
import com.example.what_the_fantasy.ui.screens.QuizPage
import com.example.what_the_fantasy.ui.screens.QuotePage
import com.example.what_the_fantasy.ui.screens.SearchPage
import com.example.what_the_fantasy.ui.screens.SignUpPage
import com.example.what_the_fantasy.ui.screens.SubmitQuotePage



@Composable
fun AppNavigator() {
    val navController = rememberNavController()
    NavHost(navController, startDestination = "Login") {
        composable("Login") { LoginPage(
            navControllerSignUp = { navController.navigate("SignUp") },
            navControllerProfil = { navController.navigate("Profil") } // A changer pour mettre l'Accueil quand elle sera faite
        )}
        composable("Accueil") { AccueilPage() }
        composable("Favorite") { FavoritePage() }
        composable("Profil") { ProfilPage(navController) }
        composable("Quiz") { QuizPage() }
        composable("Quote") { QuotePage() }
        composable("Search") { SearchPage() }
        composable("SignUp") { SignUpPage(navController)}
        composable("SubmitQuote") { SubmitQuotePage() }
    }

}